#
#   logactio  -  simple framework for doing configured action on certain
#                log file events
#
# SPDX-FileCopyrightText: Copyright 2012-  David Sommerseth <dazo@eurephia.org>
# SPDX-License-Identifier: GPL-2.0-only
#

MSG_SEND = 1
MSG_SHUTDOWN = 2

class Message:
    def __init__(self, msgtype, prio, msg):
        self.__msgtype = msgtype
        self.__prio = prio
        self.__msg = msg

    def MessageType(self):
        return self.__msgtype

    def Priority(self):
        return self.__prio

    def Message(self):
        return self.__msg

    def __str__(self):
        return f"[Type: {self.__msgtype}, Prio: {self.__prio}] {self.__msg}"

